メインコンテンツまでスキップ

コレクションの説明 (V1)

ノート

コレクションの詳細を説明します。

GET/v1/vector/collections/describe
接続エンドポイント

https://${CLUSTER_ENDPOINT}

📘ノート
  • ${CLUSTER_ENDPOINT} を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。
  • エンドポイントを取得するには、Describe Cluster APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキー、またはコロンで連結したユーザー名とパスワードのペア(例: username:password)である必要があります。

値の例: Bearer {{TOKEN}}
collectionNamestringquery必要

説明するコレクションの名前。

dbNamestringquery

データベース名。

値の例: default
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request GET \
--url "${CLUSTER_ENDPOINT}/v1/vector/collections/describe?collectionName=undefined" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

指定されたコレクションの詳細を返します。

codeinteger

レスポンスコード。

dataobject

コレクションの詳細を格納するレスポンスペイロード。

collectionNamestring

コレクション名。

descriptionstring

コレクションの説明(任意)。

fieldsarray

フィールドの配列。

[]fieldsobject

フィールドオブジェクト。

autoIdboolean

プライマリキーが自動的にインクリメントされるかどうか。このフィールドは、現在のフィールドがプライマリキーである場合にのみ適用されます。

descriptionstring

フィールドの説明(任意)。

namestring

フィールド名。

primaryKeyboolean

このフィールドがプライマリフィールドであるかどうか。

typestring

このフィールドの値のデータ型。

indexesarray

インデックスの配列。

[]indexesobject

インデックスオブジェクト。

fieldNamestring

インデックス対象フィールドの名前。

indexNamestring

生成されたインデックスファイルの名前。

metricTypestring

ベクトル間の類似度を測定するために使用されるメトリックタイプ。

loadstring

コレクションのロード状態。

enableDynamicFieldboolean

このコレクションで動的フィールド機能が有効になっているかどうか。

失敗レスポンス。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 200,
"data": {
"aliases": [],
"autoId": false,
"collectionID": 448707763883002000,
"collectionName": "test_collection",
"consistencyLevel": "Bounded",
"description": "",
"enableDynamicField": true,
"fields": [
{
"autoId": false,
"description": "",
"id": 100,
"name": "id",
"partitionKey": false,
"primaryKey": true,
"type": "Int64"
},
{
"autoId": false,
"description": "",
"id": 101,
"name": "vector",
"params": [
{
"key": "dim",
"value": "5"
}
],
"partitionKey": false,
"primaryKey": false,
"type": "FloatVector"
}
],
"indexes": [
{
"fieldName": "vector",
"indexName": "vector",
"metricType": "COSINE"
}
],
"load": "LoadStateLoaded",
"partitionsNum": 1,
"properties": []
}
}
Ctrl I